#!/bin/bash

FAPP=svd_$(cat svd.module)
IMAGEID=$(docker ps -a --filter "name=$FAPP" -q)

if [[ -n "$IMAGEID" ]]; then
   docker stop $IMAGEID && docker rm $IMAGEID
fi

docker run --name=$FAPP -d --restart=always --net=host -e TZ=Europe/Moscow \
    -v "/opt/SVD/$FAPP/conf/:/svd/conf/" -v "/var/opt/SVD/$FAPP/:/svd/msg/" \
    -v "/var/log/SVD/$FAPP/:/svd/log/" \
docker-repo.mrgeng.ru/$FAPP

docker logs $FAPP
