#!/bin/bash

FAPP=svd_$(cat svd.module)
IMAGEID=$(docker ps -a --filter "name=$FAPP" -q)

if [[ -n "$IMAGEID" ]]; then
   docker stop $IMAGEID && docker rm $IMAGEID
fi

docker save -o "$FAPP"_old.tar docker-repo.mrgeng.ru/$FAPP
docker rmi docker-repo.mrgeng.ru/$FAPP
docker pull docker-repo.mrgeng.ru/$FAPP
./deploy_svd.sh
