#!/bin/bash

while read -r line; do
    if [ ! -z "$line" ]
    then
        FAPP=$line
    fi
done < SVD_HUB_NAME

if [ ! -z "$FAPP" ]
then
    docker stop $FAPP
    docker rm $FAPP
#exit;
#    docker rmi $FAPP
#    docker load < $FAPP.tar

    PVD=`pwd`
    docker run --name=$FAPP -d --restart=always --net=host -e TZ=Europe/Moscow -v "$PVD/conf/:/svd/conf/" -v "$PVD/log/:/svd/log/" -v "$PVD/msg/:/svd/msg/" docker-repo.mrgeng.ru/svd_hub
    docker logs $FAPP
    echo "docker logs --tail=222 $FAPP"
fi
